Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class OrderInTo 'Továbbrendelt tételek
    Inherits BaseObject
    Private _OrderInRows As OrderInRows 'Bejövő megrendelési sor
    Private _OrderOutRows As OrderOutRows 'Kimenő megrendelési sor
    Private _QTT_To As Double 'Mennyiség ami tovább van rendelve
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    Property OrderInRows As OrderInRows
        Get
            Return _OrderInRows
        End Get
        Set(value As OrderInRows)
            SetPropertyValue("OrderInRows", _OrderInRows, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("Products='@This.OrderInRows.Products'")>
    Property OrderOutRows As OrderOutRows
        Get
            Return _OrderOutRows
        End Get
        Set(value As OrderOutRows)
            SetPropertyValue("OrderOutRows", _OrderOutRows, value)
        End Set
    End Property
    Property QTT_To As Double
        Get
            Return _QTT_To
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_To", _QTT_To, value)
        End Set
    End Property
End Class
